#include	<stdio.h>
#include	"defines.h"
#include	"locdefs.h"



prchars(fp, s)
FILEP fp;
register int *s;
{
	register int i;

	fprintf(fp, "\tdb\t");
	for(i = 0; i<SZINT ; ++i)
		fprintf(fp, "x'%x'%c", *s++, (i==SZINT-1 ? '\n' : ',' ) );
}


pruse(fp, s)
FILEP fp;
char *s;
{
	fprintf(fp, "%s\n", s);
}


prskip(fp, k)
FILEP fp;
ftnint k;
{
	fprintf(fp, "\tds\t%ld\n", k);
}


prcomblock(fp, name)
FILEP fp;
char *name;
{
	fprintf(fp, LABELFMT, name);
}
